package com.heyu.api.data.dao.device;
/**
* <p>
* 闹钟记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.device.DeviceAlarmClockRecordEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface DeviceAlarmClockRecordDao extends BaseMapper<DeviceAlarmClockRecordEntity> {


	DeviceAlarmClockRecordEntity selectDeviceAlarmClockRecordById(@Param("id")Long id);


	Long insertDeviceAlarmClockRecord(DeviceAlarmClockRecordEntity deviceAlarmClockRecord);


	Long insertOrUpdateDeviceAlarmClockRecord(DeviceAlarmClockRecordEntity deviceAlarmClockRecord);


	int updateDeviceAlarmClockRecordById(DeviceAlarmClockRecordEntity deviceAlarmClockRecord);


	int updateCoverDeviceAlarmClockRecordById(DeviceAlarmClockRecordEntity deviceAlarmClockRecord);


	int deleteDeviceAlarmClockRecordById(@Param("id")Long id);


}